Blame SOURCES/0093-tests-Test-incomplete-resizepart-command.patch

7fd79c
From 929a3bdd7a60912dd977ea79548b163a39b20568 Mon Sep 17 00:00:00 2001
7fd79c
From: "Brian C. Lane" <bcl@redhat.com>
7fd79c
Date: Tue, 23 Apr 2019 10:25:20 -0700
7fd79c
Subject: [PATCH 93/97] tests: Test incomplete resizepart command
7fd79c
7fd79c
(cherry picked from commit 679da92c54c75d7fca1fd825f1d42a750d115f2d)
7fd79c
7fd79c
Related: rhbz#1861804
7fd79c
---
7fd79c
 tests/t3200-resize-partition.sh | 2 ++
7fd79c
 1 file changed, 2 insertions(+)
7fd79c
7fd79c
diff --git a/tests/t3200-resize-partition.sh b/tests/t3200-resize-partition.sh
7fd79c
index 251b545..dcf1775 100755
7fd79c
--- a/tests/t3200-resize-partition.sh
7fd79c
+++ b/tests/t3200-resize-partition.sh
7fd79c
@@ -63,6 +63,8 @@ parted -m -s $dev u s p > out 2>&1 || fail=1
7fd79c
 wait_for_dev_to_appear_ ${dev}1 || { warn_ "${dev}1 did not appear"  fail=1; }
7fd79c
 sleep 1
7fd79c
 
7fd79c
+# Running it without end should not core-dump or prompt
7fd79c
+parted -s $dev resizepart 1 > out 2> err || fail=1
7fd79c
 
7fd79c
 # extend the filesystem to end on sector 4096
7fd79c
 new_end=4096s
7fd79c
-- 
7fd79c
2.31.1
7fd79c